Subject: 0.99.6 bootable rootdisk is on tsx-11
From: [email-masked]
Date: Thu, 4 Mar 1993 06:25:08 GMT
Newsgroups: comp.os.linux.announce

This release uses the beta libc 4.3.2, which should be released to
public RSN.

H.J.
-- 
School of EECS				Internet: [email-masked]
Washington State University		BITNET:   [email-masked]
Pullman, WA 99164			Phone:    (509) 335-6470 (O)
USA						  (509) 334-6315 (H)
------
                    Linux Bootable Root Disk [HJ release]

Introduction
------------
  This is a bootable root disk for Linux.  The kernel is 0.99 patch level 6
  with 387 emulation, minix fs, msdos fs, ext fs, ext2 fs, xia fs, SCSI,
  CD-ROM and TCP/IP support. There is also UltraStor patch for scatter/gather
  by Scott Taylor ([email-masked]) with fix from [email-masked]
  (Bruce D. Elliott). There are some basic binaries on the root disk, all of
  which are linked with the C library 4. There is a light version of the shared
  image 4.3.2, libc-lite.so.4.3.2, which doesn't have curses and gdbm. I don't have
  an Ethernet card to check out TCP/IP. Please consult the NET channel and modify
  /usr/etc/inet/*.

  NOTE: All the stuff previously in /usr/etc/inet must be in /etc now.

  There are three users without passwords on the root disk, root, halt and
  shutdown, log in as halt or shutdown without password will halt (no delay)
  or shutdown (a few minutes delay) your computer respectively.

  You can use this disk to install a bootable root partition on your
  hard drive.
  
  The root disk is on tsx-11.mit.edu under pub/linux/GCC/rootdisk.

Distribution File Format
------------------------
  There are two versions of the root disk.  The first is in the file
  3rootdisk.z, and is for a 3.5" floppy.  The second file is 5rootdisk.z,
  and is for a 5.25" floppy.  Because the 5.25" floppy is smaller than
  the 3.5", some files are not present in the 5.25" version.

  The xia filesystem is used in this rootdisk.

  /dev directory may not be very up to date. Please consult comp.os.linux
  for proper device name and major/minor device numbers.

  Because of the lack of space on the 5.25" version, there are only a few
  free blocks left, and you may have trouble using vi.  To solve this you
  can delete any files you don't need from the root disk.

  This is a partial list of what is on the root disk.

  1. ksh 4.8
  2. gzip 1.03 (may not be present in the 5.25" version.)
  3. elvis 1.6
  4. doshell, chmod, chown, cp, ls (color), mv, rm, and ln.
  5. mount, umount, swapon and swapoff (mount 0.99.6 with NFS support from
     Rick Sladkey.).
  6. more (may not be present in the 5.25" version.)
  7. /proc based ps, free, tload, w and uptime 
  8. mkswap, mkfs, fsck, mkefs, efsck, mkxfs, xfsck and fdisk
     (mkfs and mkefs may not be present in the 5.25" version.)
  9. expr (for /dev/MAKEDEV)
  10. proc ps 0.5
  11. grep (for /usr/etc/inet/rc.net)
  12. lilo 0.8 pl1 (only minimum stuff, please get full package as well
      as documentations yourself.)

Building the Bootable Root Floppy
---------------------------------
  1. uncompress [3|5]rootdisk.Z with gzip.
  2. rawrite or dd the file to a formatted floppy disk.

  You now have a bootable floppy, which you can use to boot your system.

Installing a Bootable Root Partition on Your Hard Drive
-----------------------------------------------------
  You can use this disk to install a bootable root partition on your
  hard drive.  You will need to create a root partition on your disk,
  using the DOS fdisk command, or another hard drive utility.

  If you are creating the partition, be sure to record its size in
  bytes.  If the partition already exists, you can find its size using
  fdisk.

  There are two fast filesystem, xiafs and ext2fs, with long filename
  support. I didn't include mkfs and mkefs in the 5.25" version since
  I am discouraging you using minix fs and ext fs.

  You should make your own decision for your hard partitions between
  xia fs and ext2 fs. I put both of them on my hard disk.

  If you want to install Linux on partition /dev/hdxx with xiafs, whose
  size is yyyy K bytes, do:

    [mkxfs|mke2fs] -c /dev/hdxx yyyyy
    mount -t [xiafs|ext2] /dev/hdxx /mnt
    (cd /; cp -av . /mnt)

  Edit /mnt/etc/fstab to ensure that /dev/hdxx will be mounted as root.
  There are some examples in /mnt/etc/fstab.

  Next, use lilo to set up your hard drive to boot either Linux or DOS.
  Please read the documentation come with LILO for the details of installation.
  Here is a very simple example.

    cd /mnt/etc/lilo
    rm map boot.????
    ./lilo -r /mnt -b /dev/hdxx -i /etc/lilo/boot.b -v -v -v /vmlinux.z,/dev/hdxx

  You will also need to make the partition you wish to boot from active,
  and make all other partitions non-active.  You can do this using fdisk.
  You can now boot Linux from your hard drive.  Installing other packages
  should be easy, you can just mount those floppies with filesystems supported
  by kernel on them.

  This kernel should get you going, but may not be the best for your particular
  hardware configurations. You should get the kernel source and configure it
  according to your need.

  Note: If you don't like the color ls, you can make `ls -f' or `ls --no-color'
  as an alias for ls.

Booting Other OS's
---------------
  There is a file called mboot.tar.Z under pub/linux/GCC/rootdisk on
  tsx-11.mit.edu.  Running mboot from a DOS partition on your first hard
  drive will enable you to choose from a menu to boot from up to 4 partitions
  on your first hard drive.  Read the documentation in mboot.tar.z for details.

Other Linux Disks
-----------------
  The next thing you may want to do is install the Linux Base System,
  which contains many system utilities.  Please read README.basedisk
  in the base system directory for details.

  The Linux Base System is on tsx-11.mit.edu under pub/linux/GCC/basedisk.

  The only thing missing from the Linux Base System is ispell 3.09.
  It is in a separate file, under pub/linux/GCC/basedisk.

  You may be also interested in libdisk and gccdisk, which have the most
  current C/C++ libraries and gcc.

  Note: basedisk, libdisk and gccdisk may not be very up to date. I am
  doing my best to keep them current.

  I will try to update my root disk regularly with Linus' new kernel.

  This root disk works on my machine with 100MB IDE drive.  I don't know
  anything about your machine or SCSI.  Good luck.

  Correct me if I am wrong.  Tell me about your story.

Thanks.

H.J.
[email-masked]
02/27/93